## atomic-operator-runner 0.2.1

=== docs/requirements.txt ===
furo==2022.12.7
sphinx==6.1.3
sphinx-click==4.4.0
myst_parser==0.18.1

=== debian/changelog ===
atomic-operator-runner (0.2.1-0kali1) kali-dev; urgency=medium

  * Initial release

 -- Sophie Brun <sophie@kali.org>  Wed, 04 Feb 2026 15:38:11 +0100

=== debian/control ===
Source: atomic-operator-runner
Section: python
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Sophie Brun <sophie@kali.org>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               pybuild-plugin-pyproject,
               python3-all,
               python3-click,
               python3-paramiko,
               python3-poetry-core,
               python3-pydantic,
               python3-pypsrp,
               python3-pytest,
               python3-setuptools,
               python3-yaml
Testsuite: autopkgtest-pkg-python
Standards-Version: 4.7.3
Homepage: https://github.com/swimlane/atomic-operator-runner
Vcs-Browser: https://gitlab.com/kalilinux/packages/atomic-operator-runner
Vcs-Git: https://gitlab.com/kalilinux/packages/atomic-operator-runner.git

Package: python3-atomic-operator-runner
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: executes powershell, cmd or bash/sh commands both locally or remotely
 This module allows you to:
    * Execute a command string on a local, remote Windows, remote macOS and
    remote Linux systems
    * Execute a command for PowerShell, command-line (cmd) and bash/sh on any
    of the above systems
    * Can execute commands elevated on the supported systems
    * Returns a standard response object, as well as displays a formatter
    version to the console via logging
    * Copy a file from a local to remote host
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

export PYBUILD_NAME=atomic-operator-runner

%:
	dh $@ --buildsystem=pybuild
